# generated by cabal-rpm-0.13
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name derive
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        2.6.5
Release:        1%{?dist}
Summary:        Derive instances for data types

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uniplate-devel
# End cabal-rpm deps

%description
Derive is a library and a tool for deriving instances for Haskell programs.
It is designed to work with custom derivations, SYB and Template Haskell
mechanisms.  The tool requires GHC, but the generated code is portable.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGES.txt README.md
%{_bindir}/%{pkg_name}


%changelog
* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 2.6.5-1
- update to 2.6.5

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 2.6.4-3
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 2.6.4-1
- update to 2.6.4

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 2.6.3-1
- update to 2.6.3

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 28 2017 Jens Petersen <petersen@redhat.com> - 2.6.1-1
- update to 2.6.1

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 2.5.26-1
- update to 2.5.26

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 03 2015 Jens Petersen <petersen@redhat.com> - 2.5.22-1
- update to 2.5.22

* Mon Sep 01 2014 Jens Petersen <petersen@redhat.com> - 2.5.16-1
- update to 2.5.16
- refresh to cblrpm-0.8.11

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 2.5.11-3
- update to new simplified Haskell Packaging Guidelines

* Mon Mar 25 2013 Jens Petersen <petersen@redhat.com> - 2.5.11-2
- rebuild

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 2.5.11-1
- update to 2.5.11

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 2.5.8-7
- update with cabal-rpm

* Fri Nov  2 2012 Jens Petersen <petersen@redhat.com> - 2.5.8-6
- use ghc_arches_with_ghci for template-haskell

* Sat Aug 11 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> -2.5.8-5
- rebuild for libffi

* Wed Jul 18 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.5.8-4
- rebuild

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 2.5.8-3
- rebuild

* Mon Jun 18 2012 Jens Petersen <petersen@redhat.com> - 2.5.8-2
- move the derive program to the devel subpackage for now (#831038)

* Sun May  6 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.5.8-1
- spec file template generated by cabal2spec-0.25.5
- License is BSD
